{
    "window.zoomLevel": 1,
    "editor.tabSize": 2,
    "files.exclude": {
        "**/.DS_Store": true,
        "**/.git": true,
        "**/.hg": true,
        "**/.svn": true,
        "**/build": true,
        "**/CVS": true
    },
    "editor.tabCompletion": "on",
    "editor.formatOnPaste": true,
    "editor.formatOnSave": true,
    "editor.minimap.enabled": true,
    "editor.minimap.showSlider": "always",
    "editor.minimap.renderCharacters": true,
    "editor.mouseWheelZoom": true,
    "editor.quickSuggestions": {
        "other": true,
        "comments": false,
        "strings": true
    },
    "search.exclude": {
        "**/node_modules": true,
        "**/bower_components": true
    },
    "javascript.referencesCodeLens.enabled": true,
    "typescript.referencesCodeLens.enabled": true,
    "typescript.implementationsCodeLens.enabled": true,
    "git.autofetch": true,
    "eslint.alwaysShowStatus": true,
    "eslint.options": {
        "extensions": [
            ".js",
            ".ts"
        ]
    },
    "eslint.validate": [
        "javascript",
        "typescript"
    ],
    "prettier.singleQuote": true,
    "prettier.trailingComma": "all",
    "typescript.tsdk": "node_modules/typescript/lib",
    "editor.codeActionsOnSave": {
        "source.fixAll.eslint": true
    },
    "editor.bracketPairColorization.enabled": true,
    "editor.guides.bracketPairs": "active"
}